Bug 182136 - TBf84f50f3 GUI_functions.py:408:gui_run:UnboundLocalError: local
TBf84f50f3 GUI_functions.py:408:gui_run:UnboundLocalError: local
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2006-02-20 13:40 EST by Mark Preston
Modified: 2008-03-10 00:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 00:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Preston 2006-02-20 13:40:57 EST
Description of problem: Please read below at: Additional Info


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: I am a newbie having less than 4 weeks in the Linux OS.
 Yesterday, a bug occured and an automated screen came up and asked me to report
a bug. I'm not versed in this at all, and don't know how to properly submit all
the criteria that are asked for above. None the less, here is the copy of the file.

Component: system-config-network
Version: 1.3.26
Summary: TBf84f50f3 GUI_functions.py:408:gui_run:UnboundLocalError: local
variable 'status' referenced before assignment

Traceback (most recent call last):
  File "/usr/bin/system-control-network", line 198, in on_configureButton_clicked
    (ret, msg) = dev.configure()
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCDevice.py",
line 409, in configure
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NC_functions.py",
line 653, in generic_run
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/GUI_functions.py",
line 408, in gui_run
UnboundLocalError: local variable 'status' referenced before assignment

Local variables in innermost frame:
catchfd: (1, 2)
fderr: []
gtk: <module 'gtk' from '/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.pyc'>
string: <module 'string' from '/usr/lib/python2.4/string.pyc'>
fdout: []
read: 6
errno: 4
fdin: [6]
argv: ['/usr/bin/system-config-network', '']
write: 7
s: 
searchPath: 0
command: /usr/bin/system-config-network
closefd: -1
rc: Xlib: connection to ":0.0" refused by server

Xlib: No protocol specified


ERROR: Unable to initialize graphical environment. Most likely cause of failure
is that the tool was not run using a graphical environment. Please either start
your graphical user interface or set your DISPLAY variable.

msg: Interrupted system call
root: /
os: <module 'os' from '/usr/lib/python2.4/os.pyc'>
childpid: 3129
select: <module 'select' from '/usr/lib/python2.4/lib-dynload/selectmodule.so'>
stdin: 0
Comment 1 Mark Preston 2006-03-02 22:27:10 EST
I received a message from the system I think may be related to the bug (182136)

Component: system-config-network
Version: 1.3.26
Summary: TBfbab0e94 GUI_functions.py:447:gui_run_dialog:AttributeError:
'NoneType' object has no attribute 'connect'

Traceback (most recent call last):
  File "/usr/bin/system-control-network", line 171, in on_activateButton_clicked
    (ret, msg) = dev.activate()
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCDevice.py",
line 372, in activate
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NC_functions.py",
line 571, in generic_run_dialog
  File
"/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/GUI_functions.py",
line 447, in gui_run_dialog
AttributeError: 'NoneType' object has no attribute 'connect'

Local variables in innermost frame:
xml: <gtk.glade.XML object (PyGladeXML) at 0xb7999a54>
stdin: 0
dlg: None
string: <module 'string' from '/usr/lib/python2.4/string.pyc'>
img: None
title: system-config-network:

Network device activating...
root: /
gtk: <module 'gtk' from '/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.pyc'>
command: /sbin/ifup
CancelException: netconfpkg.gui.GUI_functions.CancelException
label: Activating network device LAFN_1, please wait...
catchfd: (1, 2)
searchPath: 0
argv: ['/sbin/ifup', 'LAFN_1', 'up']
closefd: -1
dialog: None
swindow: None
os: <module 'os' from '/usr/lib/python2.4/os.pyc'>
lbl: None
select: <module 'select' from '/usr/lib/python2.4/lib-dynload/selectmodule.so'>
errlabel: Cannot activate network device LAFN_1!


I may have caused nautilis to blow-up because I clicked (invoked or called) a
text file from the desktop, rather than from gedit. My modem drops the line in a
discouragingly frequent pattern that causes the on-line session to last from 4
minutes to 30 minutes, rarely can I stay online 60 minutes.
Comment 2 Christian Iseli 2007-01-19 19:52:12 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 petrosyan 2008-03-10 00:03:48 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.